MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::BcastStateRecv Class Reference

BcastStateRecv does the receive part of a broadcast of an object to all nodes. More...

`#include <mstate.h>`

Inheritance diagram for sc::BcastStateRecv:

List of all members.

## Public Member Functions

| BcastStateRecv (const Ref< MessageGrp > &, int source=0)
| Create the BcastStateRecv.
void | source (int s)
| Set the source node.

## Protected Member Functions

void | next_buffer ()
| Specializations must implement next_buffer().

## Protected Attributes

int | source_

## Detailed Description

BcastStateRecv does the receive part of a broadcast of an object to all nodes.

Only one node uses a BcastStateSend and the rest must use a BcastStateRecv.

The documentation for this class was generated from the following file:

- mstate.h